No puedo hacer que PHPunit funcione

He estado trabajando para que PHPunit funcione para mi proyecto Zend Framework y he tenido varios problemas. He reinstalado PEAR y desinstalado PHPunit, y los reinstalé a ambos.

Mi error actual es

demian @ dimbo-TP: ~ $ phpunit Advertencia de PHP: require_once (PHPUnit / Framework / MockObject / Autoload.php): no se pudo abrir la secuencia: no existe tal archivo o directorio en /usr/share/php/PHPUnit/Autoload.php on line 48 PHP Fatal error: require_once (): Falló la apertura requerida ‘PHPUnit / Framework / MockObject / Autoload.php’ (include_path = ‘.: / Usr / share / php /: / usr / local / share / php / library’) en /usr/share/php/PHPUnit/Autoload.php en la línea 48

Estoy usando ubuntu 11.10, PHP 5.3.6-13ubuntu3.2

Estaría muy agradecido si alguien pudiera darme algunos consejos. He buscado mucho en google, pero nada parece resolver mi problema.

Gracias,

Demian.

Aquí está mi botadero que muestra lo que hice recientemente:

demian@dimbo-TP:~$ phpunit The program 'phpunit' is currently not installed. You can install it by typing: sudo apt-get install phpunit demian@dimbo-TP:~$ sudo pear channel-discover pear.phpunit.de [sudo] password for demian: Channel "pear.phpunit.de" is already initialized demian@dimbo-TP:~$ sudo pear channel-discover pear.symfony-project.com Channel "pear.symfony-project.com" is already initialized demian@dimbo-TP:~$ sudo pear channel-discover components.ez.no Channel "components.ez.no" is already initialized demian@dimbo-TP:~$ sudo pear update-channels Updating channel "components.ez.no" Channel "components.ez.no" is up to date Updating channel "doc.php.net" Channel "doc.php.net" is up to date Updating channel "pear.php.net" Channel "pear.php.net" is up to date Updating channel "pear.phpunit.de" Channel "pear.phpunit.de" is up to date Updating channel "pear.symfony-project.com" Channel "pear.symfony-project.com" is up to date Updating channel "pecl.php.net" Channel "pecl.php.net" is up to date demian@dimbo-TP:~$ sudo pear upgrade-all Will upgrade channel://pear.php.net/benchmark downloading Benchmark-1.2.8.tgz ... Starting to download Benchmark-1.2.8.tgz (8,352 bytes) .....done: 8,352 bytes upgrade-all ok: channel://pear.php.net/Benchmark-1.2.8 demian@dimbo-TP:~$ sudo pear install --force --alldeps phpunit/PHPUnit downloading PHPUnit-3.6.3.tgz ... Starting to download PHPUnit-3.6.3.tgz (116,362 bytes) .........................done: 116,362 bytes install ok: channel://pear.phpunit.de/PHPUnit-3.6.3 demian@dimbo-TP:~$ pear install phpunit/PHP_CodeCoverage phpunit/PHP_CodeCoverage is already installed and is the same as the released version 1.1.1 install failed demian@dimbo-TP:~$ phpunit PHP Warning: require_once(PHPUnit/Framework/MockObject/Autoload.php): failed to open stream: No such file or directory in /usr/share/php/PHPUnit/Autoload.php on line 48 PHP Fatal error: require_once(): Failed opening required 'PHPUnit/Framework/MockObject/Autoload.php' (include_path='.:/usr/share/php/:/usr/local/share/php/library') in /usr/share/php/PHPUnit/Autoload.php on line 48 demian@dimbo-TP:~$ pear install phpunit Warning: lstat(): Lstat failed for /tmp/pear/cache/312d32445ed39d8611ead5ee1d8cd72frest.cacheid in PEAR/REST.php on line 276 PHP Warning: lstat(): Lstat failed for /tmp/pear/cache/312d32445ed39d8611ead5ee1d8cd72frest.cacheid in /usr/share/php/PEAR/REST.php on line 276 No releases available for package "pear.php.net/phpunit" install failed demian@dimbo-TP:~$ sudo pear install phpunit WARNING: "pear/PHPUnit" is deprecated in favor of "phpunit/PHPUnit" Did not download dependencies: pear/PHP_Compat, use --alldeps or --onlyreqdeps to download automatically pear/PHPUnit can optionally use package "pear/PHP_Compat" downloading PHPUnit-1.3.2.tgz ... Starting to download PHPUnit-1.3.2.tgz (20,913 bytes) ........done: 20,913 bytes install ok: channel://pear.php.net/PHPUnit-1.3.2 demian@dimbo-TP:~$ phpunit PHP Warning: require_once(PHPUnit/Framework/MockObject/Autoload.php): failed to open stream: No such file or directory in /usr/share/php/PHPUnit/Autoload.php on line 48 PHP Fatal error: require_once(): Failed opening required 'PHPUnit/Framework/MockObject/Autoload.php' (include_path='.:/usr/share/php/:/usr/local/share/php/library') in /usr/share/php/PHPUnit/Autoload.php on line 48 demian@dimbo-TP:~$ sudo pear uninstall phpunit uninstall ok: channel://pear.php.net/PHPUnit-1.3.2 demian@dimbo-TP:~$ ^C demian@dimbo-TP:~$ pear install phpunit/PHPUnit phpunit/PHPUnit is already installed and is the same as the released version 3.6.3 install failed demian@dimbo-TP:~$ phpunit PHP Warning: require_once(PHPUnit/Framework/MockObject/Autoload.php): failed to open stream: No such file or directory in /usr/share/php/PHPUnit/Autoload.php on line 48 PHP Fatal error: require_once(): Failed opening required 'PHPUnit/Framework/MockObject/Autoload.php' (include_path='.:/usr/share/php/:/usr/local/share/php/library') in /usr/share/php/PHPUnit/Autoload.php on line 48 demian@dimbo-TP:~$ pear install --force phpunit/PHPUnit WARNING: configuration download directory "/tmp/pear/download" is not writeable. Change download_dir config variable to a writeable dir to avoid this warning Cannot install, php_dir for channel "pear.phpunit.de" is not writeable by the current user demian@dimbo-TP:~$ sudo pear install phpunit/PHPUnit phpunit/PHPUnit is already installed and is the same as the released version 3.6.3 install failed demian@dimbo-TP:~$ pear install --force phpunit/PHPUnit WARNING: configuration download directory "/tmp/pear/download" is not writeable. Change download_dir config variable to a writeable dir to avoid this warning Cannot install, php_dir for channel "pear.phpunit.de" is not writeable by the current user demian@dimbo-TP:~$ sudo pear install --force phpunit/PHPUnit Did not download optional dependencies: phpunit/PHP_Invoker, use --alldeps to download automatically downloading PHPUnit-3.6.3.tgz ... Starting to download PHPUnit-3.6.3.tgz (116,362 bytes) .........................done: 116,362 bytes install ok: channel://pear.phpunit.de/PHPUnit-3.6.3 demian@dimbo-TP:~$ phpunit PHP Warning: require_once(PHPUnit/Framework/MockObject/Autoload.php): failed to open stream: No such file or directory in /usr/share/php/PHPUnit/Autoload.php on line 48 PHP Fatal error: require_once(): Failed opening required 'PHPUnit/Framework/MockObject/Autoload.php' (include_path='.:/usr/share/php/:/usr/local/share/php/library') in /usr/share/php/PHPUnit/Autoload.php on line 48 

Capta la phpunit correcta, pero faltan los otros paquetes. Deberías poder arreglar esto usando

 sudo pear install --alldeps --force phpunit/phpunit 

o si solo quieres actualizar la lib que parece ser el problema:

 sudo pear install --force phpunit/PHPUnit_MockObject 

Usuarios de Windows: Omita “sudo” si se encuentra en la plataforma de Windows